Mandate agreements

Create Mandate Agreement

POST
/orgs/{organizationId}/mandate-agreements

Generates a SEPA mandate for the customer (IBAN optional) and sends it to sign: by email link, or on the reception iPad. The provider mandate is created once it is signed. Signed agreements are legal evidence, so there is no update or delete; use cancel or revoke.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
customerId*string
iban?string
Length1 <= length
delivery?string
Default"email"
Value in"email""device"

Response Body

OK

application/json
  1. response
curl -X POST 'https://api.tillor.eu/orgs/string/mandate-agreements' \  -H 'Content-Type: application/json' \  -d '{  "customerId": "string"}'
null